Bureau Configuration¶
Endpoints related to bureau configuration.
- GET /bureau-settings/¶
Filtering settings only by `bureau’s uuid`.
Filtering settings only by bureau’s uuid. Return only one instance (if find) wrapped in list.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
403 Forbidden – PermissionsForbiddenError: You do not have access to the settings of this bureau. Only a bureau manager can update the settings of this bureau.
400 Bad Request – RecordNotFound: Could not find a bureau-settings record by uuid There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- GET /bureau-settings/{uuid}/¶
Note: by default it applies filters be user bureau and add to it passed bureau_settings.uuid
Note: by default it applies filters be user bureau and add to it passed bureau_settings.uuid
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
403 Forbidden – PermissionsForbiddenError: You do not have access to the settings of this bureau. Only a bureau manager can update the settings of this bureau.
400 Bad Request – RecordNotFound: Could not find a bureau-settings record by uuid There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- PUT /bureau-settings/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
403 Forbidden – PermissionsForbiddenError: You do not have access to the settings of this bureau. Only a bureau manager can update the settings of this bureau.
400 Bad Request – RecordNotFound: Could not find a bureau-settings record by uuid There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- GET /bureau-intake-settings/¶
List all the bureau intake settings in the system for your account.
List all the bureau intake settings in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
403 Forbidden – PermissionsForbiddenError: You do not have access to the intake settings of this bureau.
400 Bad Request – RecordNotFound: Bureau intake settings with passed UUID does not exist.
- GET /bureau-intake-settings/{uuid}/¶
Get a single bureau intake settings by UUID.
Get a single bureau intake settings by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
403 Forbidden – PermissionsForbiddenError: You do not have access to the intake settings of this bureau.
400 Bad Request – RecordNotFound: Bureau intake settings with passed UUID does not exist.
- GET /bureau-branding/¶
Filtering settings only by `bureau’s uuid`.
Filtering settings only by bureau’s uuid. Return only one instance (if find) wrapped in list.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
403 Forbidden – PermissionsForbiddenError: You do not have access to the branding of this bureau.
400 Bad Request – RecordNotFound: Bureau branding with passed UUID does not exist.
- GET /bureau-branding/{uuid}/¶
Note: by default it applies filters be user bureau and add to it passed bureau_branding.uuid
Note: by default it applies filters be user bureau and add to it passed bureau_branding.uuid
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
403 Forbidden – PermissionsForbiddenError: You do not have access to the branding of this bureau.
400 Bad Request – RecordNotFound: Bureau branding with passed UUID does not exist.
- PUT /bureau-branding/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
403 Forbidden – PermissionsForbiddenError: You do not have access to the branding of this bureau.
400 Bad Request – RecordNotFound: Bureau branding with passed UUID does not exist.
- GET /bureau/¶
List all of the bureaus in the system for your account.
List all of the bureaus in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested bureau cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested bureau name already exists.
500 Internal Server Error – UserServiceCommunicationError: Your request could not be completed because the user service is unavailable
- POST /bureau/¶
Create a new bureau.
Create a new bureau.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested bureau cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested bureau name already exists.
500 Internal Server Error – UserServiceCommunicationError: Your request could not be completed because the user service is unavailable
- Response Headers:
Location – URI of the created resource
- GET /bureau/{uuid}/¶
Get a single bureau by UUID.
Get a single bureau by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested bureau cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested bureau name already exists.
500 Internal Server Error – UserServiceCommunicationError: Your request could not be completed because the user service is unavailable
- PUT /bureau/{uuid}/¶
Update a bureau by UUID.
Update a bureau by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested bureau cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested bureau name already exists.
500 Internal Server Error – UserServiceCommunicationError: Your request could not be completed because the user service is unavailable